﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid.ExcelExport;

namespace UltraGridToExcelExport
{
    public partial class Form1 : Form
    {
        UltraGridExcelExporter ultraGridExcelExporter = new UltraGridExcelExporter();

        public Form1()
        {
            InitializeComponent();
            ultraDataSource1.Band.DataSource.Rows.Add(new string[1] { "ABC" });
        }

        void ultraGridExcelExporter_CellExported(object sender, CellExportedEventArgs e)
        {
            e.CurrentWorksheet.Rows[e.CurrentRowIndex].Cells[e.CurrentColumnIndex].Value = "DDD";
        }

        private void buttonExported_Click(object sender, EventArgs e)
        {
            ultraGridExcelExporter.CellExported += new CellExportedEventHandler(ultraGridExcelExporter_CellExported);
            ultraGridExcelExporter.Export(ultraGrid1, @"D:\temp\UltraGridExcelExport_CellExported.xlsx", Infragistics.Excel.WorkbookFormat.Excel2007);
            ultraGridExcelExporter.CellExported -= new CellExportedEventHandler(ultraGridExcelExporter_CellExported);
        }

        void ultraGridExcelExporter_CellExporting(object sender, CellExportingEventArgs e)
        {
            e.CurrentWorksheet.Rows[e.CurrentRowIndex].Cells[e.CurrentColumnIndex].Value = "DDD";
        }

        private void buttonExporting_Click(object sender, EventArgs e)
        {
            ultraGridExcelExporter.CellExporting += new CellExportingEventHandler(ultraGridExcelExporter_CellExporting);
            ultraGridExcelExporter.Export(ultraGrid1, @"D:\temp\UltraGridExcelExport_CellExporting.xlsx", Infragistics.Excel.WorkbookFormat.Excel2007);
            ultraGridExcelExporter.CellExporting -= new CellExportingEventHandler(ultraGridExcelExporter_CellExporting);
        }

        void ultraGridExcelExporter_EndExport(object sender, EndExportEventArgs e)
        {
            e.Workbook.Worksheets[0].Rows[1].Cells[0].Value = "DDD";
        }

        private void buttonExportFinished_Click(object sender, EventArgs e)
        {
            ultraGridExcelExporter.EndExport += new EndExportEventHandler(ultraGridExcelExporter_EndExport);
            ultraGridExcelExporter.Export(ultraGrid1, @"D:\temp\UltraGridExcelExport_EndExport.xlsx", Infragistics.Excel.WorkbookFormat.Excel2007);
            ultraGridExcelExporter.EndExport -= new EndExportEventHandler(ultraGridExcelExporter_EndExport);
        }
    }
}
